Subject: [os2genau_digest] No. 1983
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 4 Jul 2010 00:00:43 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Saturday 03 July 2010
 Number  1983
**************************************************

Subjects for today
 
1   Network printing finally working : Peter Moylan <peter at pmoylan dot org>
2  Re:  eCS & wireless : Chuck McKinnis <mckinnis at sandia dot net>
3  Re:  Network printing finally working : Peter Moylan <peter at pmoylan dot org>
4  Re:  eCS & wireless : Ed Durrant <edurrant at durrant dot mine dot nu>
5   virtualbox : Dennis Nolan <dennis at jeg-og dot com>
6  Re:  virtualbox : Ed Durrant <edurrant at durrant dot mine dot nu>
7   Phaser success : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 03 Jul 2010 00:00:53 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:   Network printing finally working

At last I have my new Fuji Xerox 3125N printer working as a network
printer. I previously had it working with a parallel port cable, but not
with USB. I can live without the USB option.

This e-mail started out as a very long document, giving as much detail
as possible in a cry for help. Now I can delete it all. While
documenting the printer settings, I noticed that one particular setting
looked not quite right. I tried changing it (in the printer's web
interface), and suddenly the printer worked! I guess that shows the
value of documenting everything.

The faulty setting was for "Router/gateway address". It had defaulted to
192.168.1.1, and apparently the interface with Windows was happy with
that. In fact, however, my router lives at address 192.168.1.254,
something I had forgotten because I rely on Firefox bookmarks to look
after that sort of thing. I would have seen the error immediately if I
had thought to use a "netstat -r" command.

Strangely enough, my TCP/IP configuration notebook doesn't have any
router address. I had neglected to provide routing information when I
installed the latest eCS. I guess the DHCP client has taken care of that.

I don't fully understand why the printer needs to know routing
information, when everything it communicates with is on the same subnet.
The web interface worked perfectly despite the wrong gateway address.
There's a warning on that web page that changing the tcp/ip settings can
cause you to lose the connection with the printer, but obviously that
refers only to the IP address setting.

Anyway, it's now working, using IPSpool. (I haven't tried PIPE/LPD0
since fixing the gateway address, but I don't need to now that IPSpool
has turned out to be a good solution.) Thanks, Chuck, for suggesting
that, and thanks to everyone else who offered good suggestions. Alan, if
you too want to use IPSpool you'll find it on Hobbes. It's certainly
easier to configure than LPD/LPR solutions. By the way, I still haven't
discovered the correct queue name for this printer. The brooksnet dot com
web site that someone suggested shows only that Xerox keeps changing its
mind about what to use as a queue name, and of course this model is not
included. The printer web interface, which is otherwise good, and which
covers six different network protocols, says only that LPR is on port
515. In fact this must be a relatively new printer model, because the
Fuji Xerox product registration web page doesn't include it in its
drop-down list. (I had to choose a different model, and then use the
snail-mail address fields to tell them that their web form was out of date.)

Thanks to all who have helped. This is a very pleasant victory.

I'll now finish off the document I was preparing that showed how I got
everything working, so that it can serve as a review for anyone else who
wants to use or evaluate this printer.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Fri, 02 Jul 2010 08:54:41 -0600
From:  Chuck McKinnis <mckinnis at sandia dot net>
Subject:  Re:  eCS & wireless

For those who may have wireless issues, the following group is hosted by 
Lewis Rosenthal.

To subscribe (new addresses)
E-mail to: <os2-wireless_users-on at 2rosenthals dot com> and reply to the 
confirmation email.

-- 
Chuck McKinnis
Sandia Park, NM
http://www.7cities dot net/~mckinnis/
Love not the world, neither the things that are in the world. If any man 
love the world, the love of the Father is not in him. 1 John 2:15

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Sat, 03 Jul 2010 03:00:41 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  Network printing finally working

Peter Moylan wrote:
> At last I have my new Fuji Xerox 3125N printer working as a network
> printer. I previously had it working with a parallel port cable, but not
> with USB. I can live without the USB option.
>   

My review of this printer, plus instructions on how to get it working,
are at

   http://www.pmoylan dot org/pages%5Cmisc%5CXerox_3125N.html

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Sat, 03 Jul 2010 08:18:40 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  eCS & wireless

Peter Moylan wrote:
> Alan Duval wrote:
>
>   
>> Peter mentions wanting to get a printer that works via wireless.
>>     
>
> That was my original intention, but I ended up getting a Xerox 3125N,
> which is not a wireless printer. This printer does, however, have an
> ethernet interface, so I could probably turn it into a wireless printer
> by adding a wireless-to-ethernet adapter - see below. I haven't yet
> tested this option because I don't yet have network printing working.
>
> Someone on this list suggested another possibility, a wireless device
> which, as I understand it, acts as a one-printer print server. Again,
> it's not worth testing this until I have network printing working.
>   

 An example of this would be the Linksys WPS54G - I have one of these. 
It connects to the printer via USB and has both an Ethernet port to 
connect it back to the LAN and also acts as  a WiFi access point so that 
you can access it directly via WiFi. Or this can communicate back to an 
existing wireless WLAN (so you don't need the Ethernet cable) if you wish.
 
>> I didn't know that eCS supported wireless connections. Is there any
>> info that I can read about this?
>>     
>
> The computer I'm typing this message on is my main computer, connected
> wirelessly and running eCS 2.0. I learnt the trick for doing this from
> Daniela Engert; it involves buying a small gadget called a wireless
> access point, which is a sort of special-purpose wireless router.
> There's an ethernet connection between my computer and the access point,
> and then a wireless connection between the access point and my main
> router (which is of course a wireless router). As far as eCS knows, I'm
> connected to the network via the ethernet port, i.e. eCS doesn't have to
> know it's a wireless connection. (Therefore no wireless driver is
> needed. Or, to be more precise, the driver is inside the access point's
> firmware, therefore is indepedent of operating system.)
>
> The one I'm using now is an ASUS WL-330gE wireless access point. It has
> four modes of operation (gateway, access point, adapter, repeater) but
> of these I've only used "adapter". (I would probably use the "access
> point" mode to turn my network printer into a wireless network printer.)
> The product page is at
> ...  oops, ASUS web site appears to be buggy. However, you can find
> reviews on the web, for example
> ...  hmm, those "review" sites don't seem to have reviews.
> Anyway, my personal review is that it works well. My only real gripe
> about it is that it requires a separate mains power plug, which in
> practice means that it stays powered up even when I turn my computer
> one. The next device I'll describe, below, can be powered from USB,
> which I found more convenient.
>
> Current prices appear to be $40 US or $165 Australian. Hey, that's a big
> gap. Maybe we need a free trade agreement with the US.
>
>   
   Or you just buy direct from China (via eBAY) normally at a lower 
price still including postage to Australia.

> Of course, this is massive overkill compared with the inexpensive
> wireless adapters that work with Windows. The catch, as you know, is
> that none of those adapters have OS/2 drivers. The beauty of a wireless
> access point is that it doesn't care what operating system you have.
>
> Beware of model numbers, by the way. The WL-330gE is a totally different
> device from the WL-330, which in turn is totally different from things
> like the WL-320. You just have to take care that the thing you order is
> called a _wireless_access_point_, no matter which manufacturer you go for.
>
> (It's marketed as a travel accessory, by the way, to carry around with
> your laptop to connect to strange networks. Its big selling point is its
> very small physical size.)
>
> Before I used the ASUS device, I had a DWL-G730AP from D-Link. That's
> the one Daniela recommended several years ago. I actually liked that one
> better, and I see that it's slightly cheaper now. The reason I'm no
> longer using it is that it suddenly stopped working, for no reason that
> I can guess. Well, there's one possible reason. I can't remember now
> whether the failure was when the house across the road was hit by
> lightning. On that occasion I lost my VoIP adapter and my fax, so maybe
> that's when a sensitive wireless device also blew up. It's still sitting
> on my kitchen table waiting for further tests, but I'm pretty sure it's
> dead. It was pure luck that I had already bought the ASUS one, for use
> with a computer that I had planned to install in my then girlfriend's
> house. That never happened, so I was left with a spare OS/2 computer
> that I never use. Over time I guess I'll use it for spare parts.
>
> I have a vague memory that the D-Link one has the option of using a
> static IP address, while the ASUS one is DHCP only. That doesn't bother
> me because my router always allocates me the same address anyway.
>
> So there you have it. At least two solutions, and probably more. True,
> they cost more than a cheap printer, but they work beautifully, at least
> until the next lightning strike.
>
>   

-- 
Cheers/eCS2.0

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Sat, 03 Jul 2010 17:56:35 +1000
From:  Dennis Nolan <dennis at jeg-og dot com>
Subject:   virtualbox

Hi  I've just been referred to http://www.virtualbox dot org/wiki/Guest_OSes

They list OS/2 as

OS/2 	Works, with Additions 	Requires VT-x or AMD-V hardware 
virtualization support. Only MCP2 is reported to work reliably so far.

I was wondering if anyone has had any experience with this product and 
could give some sort of a report on it's level of usefulness.

Regards

Dennis.

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   6 ==========================**

Date:  Sat, 03 Jul 2010 18:39:52 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  virtualbox

Dennis Nolan wrote:
> Hi  I've just been referred to http://www.virtualbox dot org/wiki/Guest_OSes
>
> They list OS/2 as
>
> OS/2     Works, with Additions     Requires VT-x or AMD-V hardware 
> virtualization support. Only MCP2 is reported to work reliably so far.
>
>
> I was wondering if anyone has had any experience with this product and 
> could give some sort of a report on it's level of usefulness.
>
> Regards
>
> Dennis.
>
Hi Dennis,

   Virtualbox is currently the ONLY OS/2-eCS hosted Virtualisation 
engine, still being developed unfortunately the OS/2 version is someway 
behind the versions on other platforms as we did not have QT4 and some 
other code available for some time. A new version is being worked on and 
I would expect it to be available before the end of the year.

  If you are referring to Virtualbox running on Windows, Linux or MAC, 
eComstation 2.0 should run under it as some changes have been made to 
make sure it will run.

  Most current virtualisation products require a processor with hardware 
virtualisation - thats what the AMD-V or VT-X is referring tpo, so make 
sure your system processor is compatible before trying to install.

-- 
Cheers/eCS2.0

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   7 ==========================**

Date:  Sat, 03 Jul 2010 20:44:32 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:   Phaser success

Finally got around to installing my Fuji Xerox 3125N laser printer. Bit 
fiddly putting the cartridge in.
Plugged in the printer and connected it to my PC via a Parallel cable.
Copied the XP3125.ppd file from the installation disk to a CD using WIN 
XP as eCS 2.0 on my setup can't see usb devices and couldn't read the 
install CD.
In windows the install CD was shown with a HP Icon which I thought was 
peculiar.
Then installed the ppd file with the printer driver import utility. Then 
installed the printer and was able to print.
Had a look at the ppd file which just contains all the print settings. 
At the top of the file it says
"For Microsoft WindowsXP only"

There is one problem however: If I try to print a few pages of a 
multipage document it won't print them. Opening the properties screen of 
the printer, under job status it says "Forms mismatch". It only seems to 
do this when I click the radio button for "pages" instead of "all" and 
enter say 1,2,3 in the pages field.
If I copy the pages I want as a new document it will print all the pages 
of the new document as the radio button for "All" is then checked.
 Presumably it would print all pages of the multipage document but 
haven't tried that as I didn't want to print 17 pages of the document 
concerned..
 
Anyhow I'm glad that I can finally print from eCS.
If I want to print in colour I'll do so via Ubuntu and my HP d2660 
printer which works well in Ubuntu and it even checks the ink levels.

Many thanks to everyone who have offered advice to myself and Peter. We 
were both hesitant about buying this printer but the specs seemed right 
and thankfully weren't deceptive.

Regards,

Alan Duval
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===